Kies 3.0Support


Last Updated: 2013-11-18 04:04:23
  1. WonderFull

    WonderFull Active Member

    After getting the update 4.3 i tried to connect via Kies. When i connected to my Laptop Kies asked to upgrade Kies to 3.0 as Ver 2.6 is not supported by my device. I updated Kies and my S4 i9500 got connected. But now when i tried to connect my Note II an error message appears "the device is not supported by Kies 3.0". Why Samsung cannot think about it? Now i will have to wait till my Note II is upgraded to 4.3. Also same for my S3. Great work Samsung.:mad:
    :mad:

    Advertisement
  2. trparky

    trparky Well-Known Member

    Kies 2.x can be installed alongside of the new 3.0 on the same machine.
    WonderFull likes this.
  3. kb0sdq

    kb0sdq Well-Known Member

    just a bit of info here. I have the SGH-M919N (metropcs) S4 I downloaded kies 2.6 plugged my phone in and kies said it was not compatible for os updates so I tried kies 3.0 well that also is not compatible Anyhow I got a hold of samsun folks inquirering as to why this new phone would not work on kies. and this is their answer:
    Unfortunately your device isn't supported by Kies. We apologize for the inconvenience. Is there anything else we may assist you with? ^md
    So all those that are trying to get kies to work on the metropcs version of the S4 good luck,
    ciao,

Share This Page